Bug 245785 - hpiod doesn't recognize LaserJet 1320
Summary: hpiod doesn't recognize LaserJet 1320
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-26 17:54 UTC by Horst H. von Brand
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-09 12:57:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of hp-info (8.26 KB, text/plain)
2007-07-17 13:33 UTC, Horst H. von Brand
no flags Details

Description Horst H. von Brand 2007-06-26 17:54:36 UTC
Description of problem:
hp-probe claims no printer is present, /dev/usb/lp0 is there. Restarting hplip
gives in /var/log/messages;

  hpiod: invalid product id string: Operation not permitted io/hpiod/system.cpp 491 
  hpiod: invalid serial id string: Operation not permitted io/hpiod/system.cpp 496

Version-Release number of selected component (if applicable):
hplip-1.7.4a-2.fc8

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
It used to complain (on June 24, machine kept up to date daily or thereabouts):

hpiod: invalid product id string: Operation not permitted
 io/hpiod/device.cpp 690 
hpiod: unable to Device::Open
hp:/usb/hp_LaserJet_1320_series?serial=00BRGS559G1V io/hpiod/device.cpp 942 
hp_LaserJet_1320_series?serial=00BRGS559G1V: INFO: open device failed; will
retry in 30 seconds...

Comment 1 Horst H. von Brand 2007-06-26 19:55:42 UTC
hp-info says (sorry I didn't get the garish colors right):

[root@quelen ~]# hp-info

HP Linux Imaging and Printing System (ver. 1.7.4a)
Device Information Utility ver. 3.4

Copyright (c) 2001-7 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

warning: Inrecognized URI: ipp://lp-red.inf.utfsm.cl/printers/queue1
Using device: hp:/usb/hp_LaserJet_1320_series?serial=00BRGS559G1V

hp:/usb/hp_LaserJet_1320_series?serial=00BRGS559G1V

error: Unable to communicate with device:
hp:/usb/hp_LaserJet_1320_series?serial=00BRGS559G1V
error: Error opening device (Device not found). Exiting.


Comment 2 Horst H. von Brand 2007-07-17 13:33:23 UTC
Created attachment 159429 [details]
Output of hp-info

Comment 3 Horst H. von Brand 2007-07-17 13:34:56 UTC
Comment on attachment 159429 [details]
Output of hp-info

Now (hplip-2.7.6-6.fc8) it recognizes the printer, but hp-testpage doesn't
print anything.

Comment 4 Tim Waugh 2007-07-17 13:55:02 UTC
With 2.7.6 there is an unresolved problem concerning device permissions.  For
the moment:

1. run lsusb and note which bus and which device the printer is
2. as root run 'chgrp lp /proc/bus/usb/???/???' (bus, device)
3. as root run 'chmod g+w /proc/bus/usb/???/???' (bus, device)


Comment 5 Horst H. von Brand 2007-07-17 21:16:05 UTC
lsusb is in the usbutils package, which I did not have installed... got
usbutils-0.71-2.1

   Bus 001 Device 002: ID 03f0:1d17 Hewlett-Packard

but after "ls -l /proc/bus/usb/001/002" the file doesn't exist anymore!
kernel-2.6.23-0.29.rc0.git6.fc8, hplip-2.7.6-7.fc8


Rebooting. restorecond, Avahi and HAL fail to start (HAL hangs... reboot again).

After the commands you gave, plus "service cups restart" a testpage I sent
earlier showed up.

And trying to print remotely, /proc/bus/usb/001/002 is gone again. After
"hp-probe", "lpq", ... it is again there (?), with the right group and
permissions. The remote print job just isn't handed over to the local cups
unless I restart it again, but then /proc/bus/usb/001/002 is again gone... and
reappears after "hp-probe", but the printjob is gone after "service cups
restart" (as it isn't printed out).

(Sorry for the mess).

Comment 6 Horst H. von Brand 2007-07-19 14:58:15 UTC
OK, after today's round of updates (cups-1.3-0.b1.1.fc8, hplip-2.7.6-8.fc8) both
on the machine where the printer is connected (x86_64, via USB) plus this
notebook (i686) I can print again, both locally and remotely.


Note You need to log in before you can comment on or make changes to this bug.